import { __decorate } from "tslib";
import { observable } from '@microsoft/fast-element';
import { DI } from '@microsoft/fast-foundation';
class MetadataService {
    constructor() {
        this.cachedMetadata = new Map();
    }
    getMetadataFor(resourceName) {
        return this.cachedMetadata.get(resourceName);
    }
    hasMetadataFor(resourceName) {
        return this.cachedMetadata.has(resourceName);
    }
    setMetadataFor(resourceName, metadata) {
        this.cachedMetadata.set(resourceName, metadata);
    }
}
__decorate([
    observable
], MetadataService.prototype, "cachedMetadata", void 0);
/**
 * The DI token for the MetadataService interface.
 * @internal
 */
export const MetadataCache = DI.createInterface((x) => x.singleton(MetadataService));
